From e242d621ea65c5163ee6dc9ed5025a40308319e1 Mon Sep 17 00:00:00 2001
From: Gustav Broberg <gustav.broberg@gmail.com>
Date: Fri, 10 Nov 2023 10:16:29 +0100
Subject: [PATCH] sql.el: Let sqlite's prompt-cont-regexp accept new dynamic
 prompt

Since SQLite version 3.41.0 the continuation prompt is dynamic and
shows open parentheses, quotes, comments, etc. Update sql.el sqlite
prompt-cont-regexp to match not only the static prompt ("   ...> ")
but the new dynamic ones. The possible continuation prompts are:

     ...>
  `  ...>
  '  ...>
  "  ...>
  /* ...>
  (xN...> (where N is 1 to 9)
  (.....>
  )x!...>
---
 lisp/progmodes/sql.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/sql.el b/lisp/progmodes/sql.el
index 004ae50ef50..a99e94acf79 100644
--- a/lisp/progmodes/sql.el
+++ b/lisp/progmodes/sql.el
@@ -507,7 +507,7 @@ file.  Since that is a plaintext file, this could be dangerous."
      :completion-object sql-sqlite-completion-object
      :prompt-regexp "^sqlite> "
      :prompt-length 8
-     :prompt-cont-regexp "^   \\.\\.\\.> ")
+     :prompt-cont-regexp "^[`'\"/() ][x*. ][1-9!. ]\\.\\.\\.> ")
 
     (sybase
      :name "Sybase"
-- 
2.42.1

